
Redmine - Patch #18868

Add support for queries with 'next week' filter

2015-01-16 13:57 - Bostjan Skufca

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

I started using due dates quite heavily and the functionality I missed was "show me next week's issues". Therefore I made a filter

which I would like to share here.

Patch is attached below, and is also available here for quick review here:

https://github.com/teonsystems/redmine/compare/feature/query-next-week?expand=1

Possible issues:

only english translation exists now, I can not help you here,

no tests were created for this (i checked test/ dir and there is nothing similar there yet)

Please review the patch and include it in master if possible.

If there are changes to be done, or other things required for inclusion, please let me know.

Related issues:

Related to Redmine - Patch #4502: New date filter operators: tomorrow, next w... Closed 2009-12-29

History

#1 - 2018-12-18 12:25 - Go MAEDA

- Related to Patch #4502: New date filter operators: tomorrow, next week, next month added

#2 - 2019-01-19 08:48 - Go MAEDA

- Status changed from New to Closed

New operators including "next week" was added to date filters by #4502. The feature will be delivered in Redmine 4.1.0.

Files

feature-query-next-week.diff 3.08 KB 2015-01-16 Bostjan Skufca
